%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Einfuehrung in MATLAB
%
% 2001-02-19, Andreas Meister
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Definition von Skalaren, Vektoren und Matrizen
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

x = 4

keyboard

x = 5;

keyboard

u = [1 2 , 3 4]

keyboard

v = [1 2 3 4]'

keyboard

w = [1 ; 2 ; 3 ; 4]

keyboard

A = [1 2 ; 3 4]     

keyboard

B = A'

keyboard

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Spezielle Funktionen fuer Matrizen und Vektoren
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% size 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n = size(u,1)

n = size(u,2)

m = size(A,1)

keyboard

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% diag
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

u

A = diag(u)

B

z = diag(B)

C = diag(diag(B))

keyboard

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% zeros, ones
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

m = size(C, 1)

z = ones(m, 1)

y = zeros(m, 1)'

A = ones(m, m)

B = zeros(m, m+1)

keyboard

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% abs, max
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

y = [1 -5 3]

a = max(y)

b = max(abs(y))

keyboard

A = [2 8 4;
     7 3 9]

e = max(A,[],1)

f = max(A,[],2)

keyboard

B = [-5  7 -12;
     -1 -8   4]

g = max(abs(B),[],1)

h = max(abs(B),[],2)

keyboard

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% norm, norm( , inf)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

x = [3 -4]

y = norm(x)

z = norm(x, inf)

keyboard

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Matrix-Matrix, Matrix-Vektor, Vektor-Vektor-Multipl.
% Matrixinverse
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

A = [3 2;
     5 4]

B = inv(A)

keyboard

C = [1 2;
     3 4]

D = A * C

E = B * A

keyboard

A

x = [1;
     2]

y = A * x

z = x' * A

keyboard

a = x' * x

b = a^2

keyboard

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Schleifen (while, for)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

i = 0

while(i < 3)
  i = i + 1
end

keyboard

n = 5

for i = 1:n
 i 
end;

keyboard

for i=0:0.2:1
 i
end

keyboard

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% If-Abfragen 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n = 5

for i = 1:n
  if ( (i > n-4) & ( i < n-1) ) 
    i
  end 
end

keyboard

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Summation
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

x = [1;
     2;
     3]

y = x(1) + x(2) + x(3)

z = sum(x(1:3))

keyboard

A = [1 2 3;
     4 5 6];

u = sum(A(1,1:2))

v = sum(A(2,1:3))

keyboard

x = [1 2 3]

w = sum( A(1,1:3) .* x(1:3) )

w1 = A * x'

w2 = sum( A(1,1:2) .* x(1:2) )

keyboard


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Ausgabebefehle 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for(j=1:5)
  display(j);
end

keyboard

for(j=1:5)
  fprintf('%3i \t %e \n',j, 0.1 * j^3 / (j+1));
end

keyboard

for(j=1:21)
  x(j) = 0.1 * j^3 / (j+1);
end

plot([-1:0.1:1], x);

keyboard

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Einbinden von m-Files
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

example_1              % load example_1.m

A

b

%EOF







